<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_image.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_image.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Image object. </p>

<p><a href="vx__image_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__map__info__t.html">tivx_image_map_info_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information about a image mapping.  <a href="structtivx__image__map__info__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html">tivx_image_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image object internal state.  <a href="structtivx__image__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__image__cfg.html#gabc882a238706fb219028758eebe19daf">TIVX_IMAGE_MAX_SUBIMAGES</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible sub images from a image.  <a href="group__group__vx__image__cfg.html#gabc882a238706fb219028758eebe19daf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__image__cfg.html#gaef582205a6921f7a3a4e8cddb5db47cb">TIVX_IMAGE_MAX_MAPS</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible mapping via vxMapImagePatch supported.  <a href="group__group__vx__image__cfg.html#gaef582205a6921f7a3a4e8cddb5db47cb"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__image.html#gab68727411ea99e2640bc5d9d25f7cc56">ownPrintImageAddressing</a> (const <a class="el" href="structvx__imagepatch__addressing__t.html">vx_imagepatch_addressing_t</a> *addr)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print image patch addressing info.  <a href="group__group__vx__image.html#gab68727411ea99e2640bc5d9d25f7cc56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__image.html#ga82769f15a146e1609fdaf2bae5416132">ownPrintImage</a> (<a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> image)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print image info.  <a href="group__group__vx__image.html#ga82769f15a146e1609fdaf2bae5416132"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__image_8h.html#ad440b9aec9ec2c1c48a6fb8d7558a5fb">ownInitVirtualImage</a> (<a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> img, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> width, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> height, <a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">function to initialize virtual image's parameters  <a href="#ad440b9aec9ec2c1c48a6fb8d7558a5fb"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ad440b9aec9ec2c1c48a6fb8d7558a5fb"></a><!-- doxytag: member="vx_image.h::ownInitVirtualImage" ref="ad440b9aec9ec2c1c48a6fb8d7558a5fb" args="(vx_image img, vx_uint32 width, vx_uint32 height, vx_df_image format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownInitVirtualImage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a>&nbsp;</td>
          <td class="paramname"> <em>img</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a>&nbsp;</td>
          <td class="paramname"> <em>format</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>function to initialize virtual image's parameters </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>img</em>&nbsp;</td><td>[in] virtual image reference </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>width</em>&nbsp;</td><td>[in] image width </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>height</em>&nbsp;</td><td>[in] image height </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>format</em>&nbsp;</td><td>[in] image format</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
